# DataExchange
TKSTEPBase
StepShape

# StepShape_Edge Class Reference

`#include <StepShape_Edge.hxx>`

Inheritance diagram for StepShape_Edge:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_Edge ()
| Returns a Edge .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepShape_Vertex)&aEdgeStart, const Handle(StepShape_Vertex)&aEdgeEnd)
virtual Standard_EXPORT void | SetEdgeStart (const Handle(StepShape_Vertex)&aEdgeStart)
virtual Standard_EXPORT Handle_StepShape_Vertex | EdgeStart () const
virtual Standard_EXPORT void | SetEdgeEnd (const Handle(StepShape_Vertex)&aEdgeEnd)
virtual Standard_EXPORT Handle_StepShape_Vertex | EdgeEnd () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_Vertex | edgeStart
Handle_StepShape_Vertex | edgeEnd

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Edge::StepShape_Edge | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_StepShape_Vertex StepShape_Edge::EdgeEnd | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedEdge.

virtual Standard_EXPORT Handle_StepShape_Vertex StepShape_Edge::EdgeStart | ( |  | ) | const`[virtual]`

| Reimplemented in StepShape_OrientedEdge.

Standard_EXPORT const StepShape_Edge::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_TopologicalRepresentationItem. Reimplemented in StepShape_EdgeCurve, StepShape_OrientedEdge, StepShape_SeamEdge, and StepShape_Subedge.

virtual Standard_EXPORT void StepShape_Edge::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepShape_Vertex)& | aEdgeStart,
|  | const Handle(StepShape_Vertex)& | aEdgeEnd
| ) | `[virtual]`

| Reimplemented in StepShape_EdgeCurve.

virtual Standard_EXPORT void StepShape_Edge::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

virtual Standard_EXPORT void StepShape_Edge::SetEdgeEnd | ( | const Handle(StepShape_Vertex)& | aEdgeEnd | ) | `[virtual]`

| Reimplemented in StepShape_OrientedEdge.

virtual Standard_EXPORT void StepShape_Edge::SetEdgeStart | ( | const Handle(StepShape_Vertex)& | aEdgeStart | ) | `[virtual]`

| Reimplemented in StepShape_OrientedEdge.

## Field Documentation

Handle_StepShape_Vertex StepShape_Edge::edgeEnd `[private]`

Handle_StepShape_Vertex StepShape_Edge::edgeStart `[private]`

The documentation for this class was generated from the following file:

- StepShape_Edge.hxx